#
# spec file for package tex4ht (Version 20010228)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tex4ht
Summary:      TeX/LaTeX Converter
Version:      20010228
Release:      43
Group:      Applications/Publishing/TeX
#Requires:   
#Provides:   
Copyright:  LPPL
URL: http://www.cis.ohio-state.edu/~gurari/TeX4ht/
Source: http://www.tug.org/applications/tex4ht/ufiles.zip
Source1: README.SuSE
# Source: http://www.cis.ohio-state.edu/~gurari/fix/newt4ht.zip
# Source1: mytex4ht.zip
#Patch:      
BuildRoot:  %{_tmppath}/%{name}-root

%description
A converter tool written in TeX to convert TeX, Texinfo and LaTeX
documents to HTML, XHTML, or XML (DocBook).  Highly configurable.

Authors:
--------
    Eitan M. Gurari <gurari@cis.ohio-state.edu>

SuSE series: tex

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -n $RPM_PACKAGE_NAME -c -T
unzip -a %{SOURCE0}
cp -p %{SOURCE1} .
# unzip -a $RPM_SOURCE_DIR/mytex4ht.zip
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
# %patch

%build
%define texmfdir %{_datadir}/texmf
%define tex4htdir %{texmfdir}/tex/generic/tex4ht
gcc -o tex4ht tex4ht.c -DENVFILE='"%{tex4htdir}/tex4ht.env"' \
    -DHTFDIR='"%{tex4htdir}"' -DHAVE_DIRENT_H
gcc -o t4ht t4ht.c -DENVFILE='"%{tex4htdir}/tex4ht.env"'
# make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_bindir}
%{INSTALL} tex4ht $RPM_BUILD_ROOT%{_bindir}/tex4ht
%{INSTALL} t4ht $RPM_BUILD_ROOT%{_bindir}/t4ht
sed -e 's:path/tex4ht.dir:%{tex4htdir}:' ht > $RPM_BUILD_ROOT%{_bindir}/ht
%{INSTALL_DIR} $RPM_BUILD_ROOT%{tex4htdir}
cp -a . $RPM_BUILD_ROOT%{tex4htdir}
pushd $RPM_BUILD_ROOT%{tex4htdir}
rm tex4ht && ln -s ../../../../../bin/tex4ht .
rm t4ht && ln -s ../../../../../bin/t4ht .
rm ht && ln -s ../../../../../bin/ht .
popd
%{INSTALL_DIR} $RPM_BUILD_ROOT/etc/texmf
sed -e 's:^ttfmpath/tex/texmf:t%{texmfdir}:' \
    -e 's:^ipath/tex4ht.dir:i%{tex4htdir}:' \
    -e 's:^lpath/tex4ht.dir:i%{tex4htdir}:' \
    tex4ht.env > $RPM_BUILD_ROOT/etc/texmf/tex4ht.env
sed -e 's:~/tex4ht.dir:%{tex4htdir}:' \
    -e 's:\( +t4ht\):#\1:' htlatex > $RPM_BUILD_ROOT%{_bindir}/htlatex
# cat $RPM_BUILD_ROOT/etc/texmf/tex4ht.env 
pushd $RPM_BUILD_ROOT%{tex4htdir}
rm tex4ht.env && ln -s ../../../../../../etc/texmf/tex4ht.env .
rm -f README.SuSE
popd

%post
if [ -r etc/SuSE-release ] ; then
  mkdir -p var/adm/SuSEconfig
  touch var/adm/SuSEconfig/run-texhash
else
  mktexlsr=`which mktexlsr`
  [ -n "$mktexlsr" ] && $mktexlsr || echo mktexlsr not found.
fi

%postun
if [ -r etc/SuSE-release ] ; then
  mkdir -p var/adm/SuSEconfig
  touch var/adm/SuSEconfig/run-texhash
else
  mktexlsr=`which mktexlsr`
  [ -n "$mktexlsr" ] && $mktexlsr || echo mktexlsr not found.
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc htlatex httex httexi README.SuSE
%attr(755,root,root) %{_bindir}/*
%{tex4htdir}
%config /etc/texmf/tex4ht.env
# spec file ends here

%changelog -n tex4ht
* Wed Jun 27 2001 - ke@suse.de
- Update to version 20010228.
- Add README.SuSE.
- Move t4h files to /usr/share/texmf/tex/generic/tex4ht to make the
  files available easily; reported by Stephan Barth and Koos Pol, fix
  proposed by Robin Fairbairns [#4076].
* Tue Jun 20 2000 - ke@suse.de
- Initial package, version 20000615.
